package Common;

import Matrix2P.GameAlgorithm;
import Matrix2P.GameMatrix;

import java.awt.event.ActionListener;
import java.util.List;
import java.util.ArrayList;

import Matrix3P.GameAlgorithm3P;
import Matrix3P.GameMatrix3P;
import Division.DivisionCalculator;
import Division.Claimer;
import Cooperative.CoopAlgorithm;
import Cooperative.Coalition;

/**
 * Author: Max Buegler - max@sarstech.com
 * Date: Oct 5, 2009
 * Time: 7:08:47 PM
 */
public class NoAlgorithm implements GameAlgorithm, GameAlgorithm3P, DivisionCalculator, CoopAlgorithm {
    public String getDescriptor(){return "(None)";}
    public void settings(ActionListener ul){}
    public void run(GameMatrix m, ActionListener fl){fl.actionPerformed(null);}
    public void run(GameMatrix3P m, ActionListener fl){fl.actionPerformed(null);}
    public void calculateShare(List<Claimer> claimers, double money, ActionListener finish) {finish.actionPerformed(null);}
    public void run(int p,ArrayList<Coalition> c, ActionListener finish) {finish.actionPerformed(null);}

    public void stop() {}
}
